import { useState } from "react";

// represent a custom hook.

const useCounter = () => {
  const [count, setCount] = useState(0);

  const incrementHandler = () => {
    setCount(count + 1);
  };
  const decrementHandler = () => {
    setCount(count - 1);
  };

  return [count, incrementHandler, decrementHandler];
};

export default useCounter;
